Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface QResultColumn

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  QCalculatedColumn, QTableColumn

    public interface QResultColumn

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'QResult Column'. Superclasse (astratta) delle colonne che costituiscono l'output di una query.

The following features are supported:

- `Alias`

See Also:
  `DatagenPackage.getQResultColumn()`

Method Summary
`java.lang.String` | `getAlias()` Returns the value of the 'Alias' attribute
`void` | `setAlias(java.lang.String value)` Sets the value of the '`Alias`' attribute

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAlias

    java.lang.String getAlias()

  Returns the value of the 'Alias' attribute. Se presente serve per disambiguare eventuali colonne con lo stesso nome ma provenienti da differenti tabelle. Nel caso delle colonne calcolate è obbligatorio.

  Returns:
    the value of the 'Alias' attribute.
  See Also:
    `setAlias(String)`, `DatagenPackage.getQResultColumn_Alias()`

### setAlias

    void setAlias(java.lang.String value)

  Sets the value of the '`Alias`' attribute.

  Parameters:
    `value` - the new value of the 'Alias' attribute.
  See Also:
    `getAlias()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD